﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{1DFF7E2F-54DF-444D-AAB8-4F69F57E10BF}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>UCLaserAreaScanner</RootNamespace>
    <AssemblyName>UCLaserAreaScanner</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Initdata, Version=4.2.5.26177, Culture=neutral, PublicKeyToken=null" />
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="UCNotifier, Version=3.2.5.26178, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\_Exe\UCNotifier.dll</HintPath>
    </Reference>
    <Reference Include="UCTextEditor, Version=3.2.6676.26179, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\_Exe\UCTextEditor.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="CUCLaserAreaScannerCommand.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCLaserAreaScannerCommand.Designer.cs">
      <DependentUpon>CUCLaserAreaScannerCommand.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCLaserAreaScannerMatrix.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCLaserAreaScannerMatrix.Designer.cs">
      <DependentUpon>CUCLaserAreaScannerMatrix.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCLaserAreaScannerTable.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCLaserAreaScannerTable.Designer.cs">
      <DependentUpon>CUCLaserAreaScannerTable.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCLaserStepTable.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCLaserStepTable.Designer.cs">
      <DependentUpon>CUCLaserStepTable.cs</DependentUpon>
    </Compile>
    <Compile Include="CUCLaserStepMatrix.cs">
      <SubType>UserControl</SubType>
    </Compile>
    <Compile Include="CUCLaserStepMatrix.Designer.cs">
      <DependentUpon>CUCLaserStepMatrix.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Service Include="{94E38DFF-614B-4cbd-B67C-F211BB35CE8B}" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\CommandProtocol\CommandProtocol\CommandProtocol.csproj">
      <Project>{CDA1E8D6-27A8-4246-9736-71DBED05ECE8}</Project>
      <Name>CommandProtocol %28CommandProtocol\CommandProtocol%29</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\CommandProtocol\CPLaserAreaScanner\CPLaserAreaScanner.csproj">
      <Project>{D3D0017C-61F2-491A-B7BB-0239121222E2}</Project>
      <Name>CPLaserAreaScanner</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="CUCLaserAreaScannerCommand.resx">
      <DependentUpon>CUCLaserAreaScannerCommand.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCLaserAreaScannerMatrix.resx">
      <DependentUpon>CUCLaserAreaScannerMatrix.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCLaserAreaScannerTable.resx">
      <DependentUpon>CUCLaserAreaScannerTable.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCLaserStepMatrix.resx">
      <DependentUpon>CUCLaserStepMatrix.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="CUCLaserStepTable.resx">
      <DependentUpon>CUCLaserStepTable.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>